## fsleyes-props 1.2.1

=== requirements.txt ===
six==1.*
numpy==1.*
matplotlib>=1.5,<3
wxPython>=3.0.2.0,<4.1
deprecation==1.*
fsleyes-widgets==0.*
fslpy==1.*

=== debian/changelog ===
fsleyes-props (1.2.1-3~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 30 Mar 2018 13:22:48 -0400

fsleyes-props (1.2.1-3) neurodebian; urgency=medium

  * debian/patches
    - remove the patch also forcing newer version of fslpy... my bad

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 Mar 2018 13:10:07 -0400

fsleyes-props (1.2.1-2) neurodebian; urgency=medium

  * debian/copyright
    - pointed to upstream location
  * debian/control
    - provided Vcs- fields
  * debian/patches
    - a few CPed commits to relax dependency on deprecations and restrict
      on fslpy

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 Mar 2018 09:00:44 -0400

fsleyes-props (1.2.1-1) neurodebian; urgency=medium

  * New upstream release (missed many before)

 -- Michael Hanke <mih@debian.org>  Sat, 21 Oct 2017 11:35:46 +0200

props (0.10.1-1) neurodebian; urgency=low

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Thu, 27 Apr 2017 11:15:40 +0200

=== debian/control ===
Source: fsleyes-props
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-deprecation,
               python-six (>= 1.0~),
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Vcs-Git: https://github.com/neurodebian/fsleyes-props
Vcs-Browser: https://github.com/neurodebian/fsleyes-props

Package: python-fsleyes-props
Architecture: all
Section: python
Replaces: python-props
Conflicts: python-props (< 1.0~)
Depends: neurodebian-popularity-contest, python-wxgtk3.0,
         python-six (>= 1.0~),
         ${misc:Depends},
         ${python:Depends},
Provides: python-props,
          ${python:Provides}
Description: Python descriptor framework
 Event programming framework with the ability for automatic CLI generation,
 and automatic GUI generation (with wxPython).
 .
 This package provides the Python 2 module.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match '[0-9].*' $$(git merge-base -a HEAD upstream) | sed -e 's/_.*$$//' -e 's/-/+git/')


export DH_VERBOSE = 1
export PYBUILD_NAME = fsleyes-props

# one ring to rule them all ...
%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	# no tests for now

clean::
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build
	-rm -rf fsleyes_props.egg-info/
	-rm -rf .eggs/
	-rm -rf tests/__pycache__
	-find . -name '*.pyc' -delete

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

# check that DSC patches still apply
maint-check-dsc-patches:
	@for p in debian/patches/*-dsc-patch; \
		do echo "check $$p"; \
		patch -p1 --dry-run < $$p || exit 1 ; \
	done
